Subject: Ticket Assigned - Supeeer delayed pick for return request
From: Shoemart <[email-masked]>
To: [email-masked]
Date: Thu, 27 May 2021 08:01:22 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Supeeer delayed pick for return request Dear Support Team,
Order no: 9643879610

I have a return request since March 25,2021, same time that i received my order but until now it is still with me and no one collected this return items. I had been following up almost 2x in a week to check why no one had collected it. Isn’t it frustrating????? 2months!!!! My return items has not been collected!!!! Every time i call they always say we will fix the issue as soon as possible!!! But 2months nothing happened! 

I went to the shop 2x but they said “no” it is not possible because the return request has been done already online and they can not do on the system. They promised that they will send an email to the manager of customer service but it seems still no one pick up the items. I called maaaaannnny times but stil the same “we will fix the issue as soon as possible!!!!

Who f””””ng in charge there?!!! Why this one has just been taken lightly?!!! Is this how your customer  service is?! There is a several logs of complain but no one even bothered to follow up if this one has been resolved or not!!! How you run customer service if you don’t even know or care to check complains!!!!!!!! It is been 2months and nothing happened!!!!! 

Sent from my iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2623379